## sirikali 1.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -57,7 +57,7 @@
 
 file( WRITE  ${PROJECT_BINARY_DIR}/install_prefix.h "\n#define INSTALL_PREFIX \"${CMAKE_INSTALL_PREFIX}/\"\n" )
 
-set( PGR_VERSION "1.2.1" )
+set( PGR_VERSION "1.2.2" )
 
 file( WRITE ${PROJECT_BINARY_DIR}/version.h "
 #ifndef THIS_VERSION
