=== debian/changelog ===
sirikali (1.2.2-1) unstable; urgency=medium

  * New upstream version.
  * Update the appstream install directory. 

 -- David Steele <steele@debian.org>  Fri, 09 Dec 2016 12:39:24 -0500
