=== debian/control ===
Source: sirikali
Section: admin
Priority: extra
Maintainer: David Steele <steele@debian.org>
Build-Depends: debhelper (>= 9),
               cmake,
               pkg-config,
               libgcrypt11-dev,
               libsecret-1-dev,
               qtbase5-dev,
               chrpath,
               bzip2,
               ruby-ronn,
Standards-Version: 3.9.8
Homepage: http://mhogomchungu.github.io/sirikali
Vcs-Git: https://github.com/davesteele/sirikali.git -b debian
Vcs-Browser: https://github.com/davesteele/sirikali

Package: sirikali
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cryfs [!armel]
Recommends: encfs [armel]
Suggests: encfs [!armel]
Description: Manage user encrypted volumes
 Sirikali provides a Qt/C++ GUI front end to cryfs,gocryptfs,securefs and encfs,
 allowing the user to create, mount, and unmount encrypted volumes.
