=== debian/changelog ===
sirikali (1.2.3-1) unstable; urgency=medium

  * New upstream release.
  * Minor appstream fix.

 -- David Steele <steele@debian.org>  Thu, 29 Dec 2016 21:24:41 -0500
