=== src/lxqt_wallet/backend/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,7 @@
 INCLUDE(FindPkgConfig)
 
 find_file( GCRYPT_INCLUDE_FILE gcrypt.h )
+find_path( GCRYPT_INCLUDE_PATH gcrypt.h )
 
 find_library( GCRYPT_LIBRARY gcrypt )
 
@@ -19,7 +20,10 @@
 	MESSAGE( STATUS "found gcrypt library: ${GCRYPT_LIBRARY}" )
 endif()
 
+get_filename_component( GCRYPT_LIBRARY_PATH ${GCRYPT_LIBRARY} DIRECTORY )
+
 add_library( lxqt-wallet-backend STATIC lxqtwallet.c )
-set_target_properties( lxqt-wallet-backend PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64 -Wall -s -fPIC -pedantic " )
+set_target_properties( lxqt-wallet-backend PROPERTIES COMPILE_FLAGS "-D_FILE_OFFSET_BITS=64 -Wall -s -fPIC -pedantic -I${GCRYPT_INCLUDE_PATH}" )
 set_target_properties( lxqt-wallet-backend PROPERTIES LINK_FLAGS "-pie" )
 TARGET_LINK_LIBRARIES( lxqt-wallet-backend "${GCRYPT_LIBRARY}" )
+link_directories( "${GCRYPT_LIBRARY_PATH}" )
