=== debian/changelog ===
sirikali (1.2.7-1) unstable; urgency=medium

  * New upstream release(s).

 -- David Steele <steele@debian.org>  Fri, 19 May 2017 11:47:38 -0400
