=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
                qtbase5-dev,
                chrpath,
                bzip2,
-               ruby-ronn,
+               pandoc,
 Standards-Version: 3.9.8
 Homepage: http://mhogomchungu.github.io/sirikali
 Vcs-Git: https://github.com/davesteele/sirikali.git -b debian
 Vcs-Browser: https://github.com/davesteele/sirikali
 
 Package: sirikali
-Architecture: any
+Architecture: amd64 armel arm64 armel armhf i386 mips mips64el mipsel ppc64el s390x alpha hppa kfreebsd-amd64 kfreebsd-i386 powerpc powerpcspe ppc64 sparc64 x32
 Depends: ${shlibs:Depends}, ${misc:Depends}, cryfs [!armel]
 Recommends: encfs [armel]
 Suggests: encfs [!armel]
