=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends: debhelper (>= 9),
                cmake,
                pkg-config,
-               libgcrypt11-dev,
+               libgcrypt20-dev,
                libsecret-1-dev,
                qtbase5-dev,
                chrpath,
